:root {
  --blue: #1372bb;
  --not-read: #ccb718;
  --background: #a7a5a560;
  --read: #00ac09cd;
  --modal-backdrop: #1c1c1ca6;
  --remove: #a00101;
}

html {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-size: 10px;
  font-family: 'Roboto', sans-serif;
}

*,
*:before,
*:after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}

/* header */

.header {
  background-color: var(--blue);
  padding: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.main-heading {
  font-size: 3rem;
}

.new-book {
  border: none;
  border-radius: 15px;
  width: 10rem;
  height: 3rem;
  margin-top: 2rem;
}

/* library container and new book items */

.library-container {
  display: grid;
  grid-template-columns: repeat(2, 40rem);
  gap: 4rem;
  justify-content: center;
  padding: 2rem;
  height: 100vh;
  background-color: var(--background);
}

.book {
  border: 1px solid black;
  border-radius: 15px;
  padding: 1.5rem;
  min-width: 40rem;
  max-height: 20rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  background-color: white;
}

.book-title {
  font-size: 1.8rem;
}

.book-author {
  font-size: 1.6rem;
}

.book-pages {
  font-size: 1.4rem;
}

.book-read,
.remove {
  border: 1px solid black;
  width: 8rem;
  height: 3rem;
  border-radius: 15px;
  text-align: center;
}

.book-read {
  background-color: var(--not-read);
}

.remove {
  background-color: var(--remove);
  justify-self: flex-end;
  align-self: flex-end;
}

/* dialog */

dialog {
  margin: auto;
  padding: 2rem;
}

.input-container {
  display: grid;
  grid-template-columns: 5rem 1fr;
  gap: 3rem;
  margin: 2rem;
}

.input-container label {
  font-size: 1.6rem;
  align-self: center;
}

.input-container input {
  border: none;
  border-radius: 15px;
  background-color: var(--background);
  width: 30rem;
  height: 3rem;
  padding: 1rem;
}

.form-buttons {
  display: flex;
  justify-content: center;
}

.form-buttons button {
  width: 7rem;
  height: 3rem;
  border-radius: 15px;
  border: none;
  margin: 2rem;
}

.submit {
  background-color: var(--green);
}

.close {
  background-color: var(--yellow);
}

::backdrop {
  background-color: var(--modal-backdrop);
}
